digiKam Developer Documentation: Digikam::AlbumModificationHelper Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::AlbumModificationHelper Class Reference

Utility class providing methods to modify physical albums (PAlbum) in a way useful to implement views. More...

Inheritance diagram for Digikam::AlbumModificationHelper:

## Public Slots
void | slotAlbumDelete ()
void | slotAlbumDelete (PAlbum *album)
| Deletes the given album after waiting for a graphical confirmation of the user.
void | slotAlbumEdit ()
void | slotAlbumEdit (PAlbum *album)
| Graphically edits the properties of the given album.
PAlbum * | slotAlbumNew ()
PAlbum * | slotAlbumNew (PAlbum *parentAlbum)
| Creates a new album under the given parent.
void | slotAlbumRename ()
void | slotAlbumRename (PAlbum *album)
| Renames the given album.
void | slotAlbumResetIcon ()
void | slotAlbumResetIcon (PAlbum *album)

## Public Member Functions
| AlbumModificationHelper (QObject *const parent, QWidget *const dialogParent)
| Constructor.
| ~AlbumModificationHelper () override
| Destructor.
void | bindAlbum (QAction *const action, PAlbum *const parent) const
| Sets the album that the given action operates on.
PAlbum * | boundAlbum (QObject *const action) const
| Returns the album bound with bindAlbum.

## Detailed Description

Author
  jwienke

## Constructor & Destructor Documentation

## ◆ AlbumModificationHelper()

Digikam::AlbumModificationHelper::AlbumModificationHelper | ( | QObject *const | parent,
|  | QWidget *const | dialogParent
| ) |  |
| explicit

Parameters

  parent | the parent for qt parent child mechanism
  dialogParent | parent widget for dialogs displayed by this object

## Member Function Documentation

## ◆ bindAlbum()

void Digikam::AlbumModificationHelper::bindAlbum | ( | QAction *const | action,
|  | PAlbum *const | parent
| ) |  | const

You must call bindTag and then connect the action's triggered to the desired slot, slotTagNew(), slotTagEdit() or slotTagDelete(). Note: Changes the Action's user data.

## ◆ boundAlbum()

PAlbum * Digikam::AlbumModificationHelper::boundAlbum | ( | QObject *const | action | ) | const

The given QObject shall be a QAction, but for convenience the given object will be checked with qobject_cast first, so you can pass QObject::sender().

## ◆ slotAlbumDelete

void Digikam::AlbumModificationHelper::slotAlbumDelete | ( | PAlbum * | album | ) |
| slot

Parameters

  album | the album to delete

## ◆ slotAlbumEdit

void Digikam::AlbumModificationHelper::slotAlbumEdit | ( | PAlbum * | album | ) |
| slot

Parameters

  album | the album to edit

## ◆ slotAlbumNew

PAlbum * Digikam::AlbumModificationHelper::slotAlbumNew | ( | PAlbum * | parentAlbum | ) |
| slot

The user will be prompted for the settings of the new album.

Parameters

  parentAlbum | parent album for the new one

Returns
  the new album or 0 if no album was created

## ◆ slotAlbumRename

void Digikam::AlbumModificationHelper::slotAlbumRename | ( | PAlbum * | album | ) |
| slot

The user will be prompted for a new name.

Parameters

  album | the album to rename